aboutsummaryrefslogtreecommitdiff
path: root/pixman/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pixman/autogen.sh')
-rw-r--r--pixman/autogen.sh26
1 files changed, 14 insertions, 12 deletions
diff --git a/pixman/autogen.sh b/pixman/autogen.sh
index c0c20d541..fc34bd55c 100644
--- a/pixman/autogen.sh
+++ b/pixman/autogen.sh
@@ -1,12 +1,14 @@
-#! /bin/sh
-
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-ORIGDIR=`pwd`
-cd $srcdir
-
-autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
-
-$srcdir/configure "$@"
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+if test -z "$NOCONFIGURE"; then
+ $srcdir/configure "$@"
+fi